RDFPUML(1)

NAME
rdfpuml - convert RDF to PlantUML diagrams

SYNOPSIS
rdfpuml [options] infile

DESCRIPTION
rdfpuml makes true diagrams directly from Turtle examples using PlantUML and GraphViz.

Diagram readability is of prime concern, and rdfpuml introduces various diagram control mechanisms using triples in the puml: namespace. Special attention is paid to inlining and visualizing various Reification mechanisms (described with PRV).

OPTIONS

--infile
    Read from this Turtle file.

--outfile
    Write to this PlantUML file.

--prefixfile
    Read Turtle-ish prefixes from this file.

--help
    Print a brief help message and exits.

ARGUMENTS

infile
    Read from this Turtle file.

Arguments override options. E.g. "rdfpuml --infile foo.ttl bar.ttl" will only read bar.ttl.